apiVersion: v1
kind: Deployment
metadata:
  annotations:
    com.dataartisans.appmanager.controller.deployment.spec.version: '9'
    com.dataartisans.appmanager.controller.deployment.transitioning: 'true'
    com.dataartisans.appmanager.controller.deployment.transitioning.since: '1636017263552'
  createdAt: '2021-11-03T17:34:30.827294Z'
  displayName: lala
  id: 742a6deb-4e88-4988-8822-487350e2a549
  labels:
    tla: lala
  modifiedAt: '2021-11-04T09:14:23.552128Z'
  name: lala
  namespace: default
  resourceVersion: 3955
spec:
  deploymentTargetId: null
  deploymentTargetName: rttvvp-prd-la-jobs
  maxJobCreationAttempts: 4
  maxSavepointCreationAttempts: 4
  restoreStrategy:
    allowNonRestoredState: false
    kind: LATEST_STATE
  sessionClusterName: null
  state: RUNNING
  template:
    metadata:
      annotations:
        flink.queryable-state.enabled: 'true'
        flink.security.ssl.enabled: 'false'
    spec:
      artifact:
        entryClass: com.flutter.risk.flink.Startup
        flinkImageRegistry: registry.ververica.com/v2.5
        flinkImageRepository: flink
        flinkImageTag: 1.13.2-stream1-scala_2.12-java11
        flinkVersion: 1.13.2
        jarUri: >-
          s3://rttk8s-prd-v2/rttvvp-prd-la-jobs/tla/deployable-jars/app-1.91.jar
        kind: JAR
        mainArgs: '--active-profile prd'
      flinkConfiguration:
        execution.checkpointing.externalized-checkpoint-retention: RETAIN_ON_CANCELLATION
        execution.checkpointing.interval: 10s
        execution.checkpointing.min-pause: 10s
        metrics.reporter.prom.class: org.apache.flink.metrics.prometheus.PrometheusReporter
        metrics.reporter.prom.port: '9249'
        metrics.reporters: prom
        state.checkpoints.dir: 's3://rttk8s-prd-v2/rttvvp-prd-la-jobs/tla/checkpoints'
        state.savepoints.dir: 's3://rttk8s-prd-v2/rttvvp-prd-la-jobs/tla/savepoints'
        taskmanager.numberOfTaskSlots: '4'
      kubernetes:
        pods:
          affinity: null
          annotations:
            prometheus.io.port: '9249'
            prometheus.io.scrape: 'true'
          labels: {}
          nodeSelector: {}
          securityContext: null
      logging:
        log4jLoggers:
          '': INFO
        loggingProfile: default
      numberOfTaskManagers: 2
      parallelism: 8
      resources:
        jobmanager:
          cpu: 2
          memory: 2G
        taskmanager:
          cpu: 2
          memory: 8G
  upgradeStrategy:
    kind: STATEFUL
